Package org.silverpeas.mobile.shared.dto

## Class ContentDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.ContentDTO

- All Implemented Interfaces:
    `Serializable`

      public class ContentDTO
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContentDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getContributionId()` |
    `String` | `getId()` |
    `String` | `getInstanceId()` |
    `com.google.gwt.user.client.ui.Anchor` | `getLink()` |
    `String` | `getRole()` |
    `String` | `getType()` |
    `void` | `setContributionId​(String contributionId)` |
    `void` | `setId​(String id)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setLink​(com.google.gwt.user.client.ui.Anchor link)` |
    `void` | `setRole​(String role)` |
    `void` | `setType​(String type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentDTO

          public ContentDTO()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### getType

          public String getType()

    - #### setType

          public void setType​(String type)

    - #### setLink

          public void setLink​(com.google.gwt.user.client.ui.Anchor link)

    - #### getLink

          public com.google.gwt.user.client.ui.Anchor getLink()

    - #### getContributionId

          public String getContributionId()

    - #### setContributionId

          public void setContributionId​(String contributionId)

    - #### getRole

          public String getRole()

    - #### setRole

          public void setRole​(String role)